Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Class JAASRole

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASPrincipal
          org.mortbay.jetty.plus.jaas.JAASRole

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class JAASRole

extends JAASPrincipal

See Also:
  Serialized Form

Constructor Summary
`JAASRole(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object o)`

Methods inherited from class org.mortbay.jetty.plus.jaas.JAASPrincipal
`getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAASRole

    public JAASRole(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `JAASPrincipal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.